%define cap_name QLandkarte

Name: qlandkarte
Version: 0.7.4
%define cap_name_version %{cap_name}_final
Release: 2%{?dist}
Summary: A tool to visualize maps and other GPS information for Garmin devices

Group: Applications/Communications
License: GPLv2+
URL: http://qlandkarte.sourceforge.net/
Source0: http://downloads.sourceforge.net/%{name}/%{cap_name_version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: autoconf
BuildRequires: qt4-devel proj-devel libusb-devel desktop-file-utils

%description
Provides a GUI to visualize data from GPS device's tracks and maps.


%prep
%setup -q -n %{cap_name_version}

autoheader
autoconf


%build
%configure
# rerun qmake to include our C and CXX flags
%{_qt4_qmake} -unix QMAKE_CFLAGS="%{optflags}" QMAKE_CXXFLAGS="%{optflags}" "CONFIG+=debug" QLandkarte.pro
make


%install
rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot}

for d in 16x16 32x32
do
    install -m 0644 -p -D src/icons/%{cap_name}$d.png %{buildroot}%{_datadir}/icons/hicolor/$d/apps/%{name}.png
done
rm -rf %{buildroot}%{_datadir}/menu
rm  %{buildroot}%{_datadir}/applications/%{name}.desktop
mkdir -p %{buildroot}%{_mandir}/man1
mv %{buildroot}%{_mandir}/%{name}.1 %{buildroot}%{_mandir}/man1

desktop-file-install --vendor fedora \
        --dir %{buildroot}%{_datadir}/applications \
        %{name}.desktop


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-, root, root)
%doc copying changelog.txt
%{_bindir}/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.*


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 23 2008 Dan Horak <dan[at]danny.cz> 0.7.4-1
- upgrade to 0.7.4, the final version

* Fri Jul  4 2008 Dan Horak <dan[at]danny.cz> 0.7.3-1
- upgrade to 0.7.3

* Mon May 19 2008 Dan Horak <dan[at]danny.cz> 0.7.2-1
- upgrade to 0.7.2
- use supplied icons and desktop file

* Sun Feb 17 2008 Dan Horak <dan[at]danny.cz> 0.7.1-1
- upgrade to 0.7.1
- fixes RH #426807 (many thanks goes to Albrecht who did all the work
  and successfully integrated it in the the upstream code)

* Thu Feb 14 2008 Dan Horak <dan[at]danny.cz> 0.6.0-2
- rebuild with gcc 4.3

* Thu Jan  3 2008 Dan Horak <dan[at]danny.cz> 0.6.0-1
- upgrade to 0.6.0
- fix compile with gcc 4.3

* Mon Oct 22 2007 Douglas E. Warner <silfreed@silfreed.net> 0.5.3-4
- including icon for desktop file
- disabling parallel make flags

* Mon Oct 22 2007 Douglas E. Warner <silfreed@silfreed.net> 0.5.3-3
- spec file patches and desktop file by Dan Horak <dan@danny.cz>
  GPLv2+
  desktop file
  use sed to cleanup problems in makefile
  additional BuildRequires

* Sat Oct 20 2007 Douglas E. Warner <silfreed@silfreed.net> 0.5.3-2
- cleanup for inclusion in Fedora

* Tue Sep 18 2007 Douglas E. Warner <silfreed@silfreed.net> 0.5.3-1
- upgrade to 0.5.3
- removed stripping of *.so files so debuginfo package can be built

* Mon Jul 09 2007 Douglas E. Warner <silfreed@silfreed.net> 0.5.2-1
- upgrade to 0.5.2

* Wed May 16 2007 Douglas E. Warner <silfreed@silfreed.net> 0.5.0-1
- upgrade to 0.5.0
- removed install_root patch (fixed upstream)
- stripped libraries

* Thu Apr 12 2007 Douglas E. Warner <silfreed@silfreed.net> 0.3.0-1
- upgrade to 0.3.0

* Thu Apr 05 2007 Douglas E. Warner <silfreed@silfreed.net> 0.2.3-1
- Initial RPM release.

